package com.uas.eis.exception;

import com.uas.eis.sdk.entity.ApiResult;

/**
 * 系统程序执行异常
 * 
 * @author yingp
 * 
 */
public class ApiSystemException extends RuntimeException {

	/**
	 *
	 */
	private static final long serialVersionUID = 4218425517031998401L;

	private ApiResult apiResult;

	public ApiSystemException() {
	}

	public ApiSystemException(String paramString) {
		super(paramString);
	}

	public ApiSystemException(ApiResult apiResult) {
		super(apiResult.getMessage());
		this.apiResult = apiResult;
	}

	public ApiSystemException(ApiResult apiResult, Throwable paramThrowable) {
		super(apiResult.getMessage(), paramThrowable);
		this.apiResult = apiResult;
	}

	public ApiSystemException(Throwable paramThrowable) {
		super(paramThrowable);
	}


	public ApiResult getApiResult() {
		return apiResult;
	}

	public void setApiResult(ApiResult apiResult) {
		this.apiResult = apiResult;
	}
}
